### Method

# Fwupd SecurityAttr add_guid

since: 1.7.0

#### Declaration [src]

    void
    fwupd_security_attr_add_guid (
      FwupdSecurityAttr* self,
      const gchar* guid
    )

#### Description [src]

Adds a device GUID to the attribute. This indicates the GUID in some way contributed to the result decided.

Available since: 1.7.0

#### Parameters

`guid`

  Type: `const gchar*`

  The GUID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.